**`SHAIKH AHMED REZA`[NAME]** -NL- Email: **`shaikhreza43@gmail.com`[EMAILS_EMAIL]** -NL- Mobile:- **`7749082625`[PHONES_PHONE]** -NL- **`Software Engineer`[EMPLOYER_ROLE]**, -NL- **`ZEESENSE SYETEMS PRIVATE LIMITED`[EMPLOYER_COMPANY_NAME]** -NL- **`Objective:`[SUMMARY_HEADING]** -NL- To work hard with full dedication for the achievement of organization objective under satisfying job -NL- contact, hence enhancing my skill and knowledge and ready to learn new things. -NL- **`Technical Summary :`[SUMMARY_HEADING]** -NL- Experienced **`Software Engineer`[EMPLOYER_ROLE]** currently working in **`ZEESENSE SYSTEMS PRIVATE LIMITED`[EMPLOYER_COMPANY_NAME]**. -NL- Skilled in Java, SpringBoot, Hibernate, AngularJs, BootStrap, React.JS, Node.JS, and Web -NL- Development. -NL- **`Work Experience :`[WORK_EXPERIENCE_HEADING]** -NL- **`ZEESENSE SYSTEMS PRIVATE LIMITED`[EMPLOYER_COMPANY_NAME]** -NL- (**`Trainee Software Engineer`[EMPLOYER_ROLE]**) -NL- From :- 24th Oct 2018- 31st Jan 2019 -NL- **`ZEESENSE SYSTEMS PRIVATE LIMITED`[EMPLOYER_COMPANY_NAME]** -NL- (**`Associate Software Engineer`[EMPLOYER_ROLE]**) -NL- From :- 1st Feb 2019- 31st Oct 2019 -NL- **`ZEESENSE SYSTEMS PRIVATE LIMITED`[EMPLOYER_COMPANY_NAME]** -NL- (**`Software Engineer`[EMPLOYER_ROLE]**) -NL- From :- 1st Nov 2019- Present -NL- Projects : -NL- **`Easy Notes App`[PROJECT_TITLE]** : -NL- This is basically a complete note application i.e User can add/create a note, delete a note, fetch -NL- a note, fetch all notes and update a note. I have used express.js web framework for providing -NL- routing and have written controllers for doing CRUD operations. I have used MongoDb as the -NL- database and mongoose as an ODM tool. I have used body-parser for parsing the incoming -NL- request. -NL- **`Weather App`[PROJECT_TITLE]** :- -NL- This is a simple weather application. I have used Darksky.net API for getting weather -NL- information in JSON format. For getting weather info I have to provide lattitude and longitude -NL- of the location. So for getting lattitude and longitude from a particular address, I have used -NL- mapbox API which will take your address and give you the corresponding lattitude and -NL- longitude. This is called forward geocoding. This application has a frontend which is designed -NL- using React.Js and Node.Js as a server side backend. -NL- **`Exercise Tracker App`[PROJECT_TITLE]** :- -NL- This app is built using MongoDb Atlas, Express.Js, Node.Js and React. This app is basically a -NL- sports activity tracker app where we can create new activity log for each users like the activity -NL- name, the duration of the activity, date of the activity. We will create user before creating -NL- activity log. We can do complete CRUD operation of activities. The front end of this -NL- application is designed using React.Js and for Backend I have used Node.js as a server side -NL- language. I have used express web framework for creating a web server for providing API calls. -NL- For storing the data I have used MongoDb Atlas. In React I have used axios npm module for -NL- sending and receiving the http request. The different npm modules that I used in Node.js are -NL- body-parser for parsing the incoming http request, dotenv for setting environment variables, -NL- cors for filtering the request. -NL- **`Smart Community Portal`[PROJECT_TITLE]** : -NL- This project is designed for a Smart TownShip. This project consists of a large variety of -NL- modules. I am responsible for designing the frontend of this project. I have used the AngularJS -NL- web framework and Bootstrap for designing the Frontend of this application. This application -NL- has been designed for users for different roles. We have defined the roles in the -NL- backend i.e SuperAdmin, Admin, User, CommunityAdmin, GateKeeper, etc. I have done the -NL- proper routing for different users login. And for Backend, I have used the JAVA SpringBoot -NL- framework to provide API calls. We also have a Smart Gate Android Application which allows -NL- a security guard to send visitor details to residents for approval. Residents will receive a -NL- notification once the visitor arrives. After getting approval from the resident the visitor will be -NL- allowed inside. -NL- **`ANPR Report Generation`[PROJECT_TITLE]** : -NL- This Application is for Generating a report in Excel Format on a Scheduled time of all the -NL- vehicles entered and exited from the gate. And after the generation of the report, It should send -NL- the report to the specified Email. I have done this using the Spring Boot Framework and Spring -NL- Scheduler. This Application is submitted to Brigade Orchards, Devenahalli. When a vehicle -NL- enters through the gate, the ANPR camera will immediately capture and recognize the License -NL- Plate of the vehicle and store both image and plate number in Database(MySQL). And It -NL- matches the recognized number with the community people's vehicle records. If it is an -NL- unknown number then It will through Alarm to command center. We are using tools of -NL- AllgoVision Video Analytics for starting the analytics and getting the alarm details. -NL- **`Academic Profile:`[EDUCATION_HEADING]** -NL- Graduation (BPUT,ODISHA): Completed **`B.TECH`[EDUCATION_DEGREE]** in **`Computer Science and Engineering`[EDUCATION_COURSE]** from -NL- **`GOVERNMENT COLLEGE OF ENGINEERING KALAHANDI,BHAWANIPATNA`[EDUCATION_INSTITUTE]** in 2017, -NL- with an aggregate of 72.5%. -NL- **`PUC`[EDUCATION_DEGREE]**(CHSE,ODISHA):From **`SHANTI INSTITUTE OF MANAGEMENT STUDIES`[EDUCATION_INSTITUTE]**,CUTTACK -NL- in 2012 with an aggregate of 83.83%. -NL- **`SSLC`[EDUCATION_DEGREE]** (BSE,ODISHA): From **`JAJPUR ZILLA SCHOOL,JAJPUR`[EDUCATION_INSTITUTE]** in 2010 with an aggregate of -NL- 77.83%. -NL- **`Training & Certifications:`[OTHERS_HEADING]** -NL-  Completed Training on Enterprise Development From Jspiders, Bangalore. -NL-  Completed a workshop on Ethical Hacking in TechNex 16 at IIT BHU, Varanasi. -NL-  Completed Node.JS certification course from Udemy.com -NL-  Completed React.JS certification course from Udemy.com -NL-  Completed Angular 8 certification course from Udemy.com -NL-  Completed JavaScript certification course from Udemy.com -NL- **`Interests:`[SKILLS_HEADING]** -NL-  UI Development -NL-  Online Learning -NL-  Web Development -NL- 